/*
 * Copyright (c) 2006-2008 Amit Singh/Google Inc.
 * Copyright (c) 2012 Tuxera Inc.
 * Copyright (c) 2012-2020 Benjamin Fleischer
 * All rights reserved.
 */

#ifndef _FUSE_KLUDGES_H_
#define _FUSE_KLUDGES_H_

#include "fuse.h"

#include <stdbool.h>

/*
 * The shop of horrors
 */

#if M_OSXFUSE_ENABLE_DSELECT

/*
 * sizeof(struct selinfo)
 *
 *     10.9               48
 *     10.11              64
 */

struct fuse_kludge_selinfo {
    unsigned char dummy[64];
};

#endif /* M_OSXFUSE_ENABLE_DSELECT */

#if M_OSXFUSE_ENABLE_EXCHANGE

void fuse_kludge_exchange(vnode_t vp1, vnode_t vp2);

#endif

#endif /* _FUSE_KLUDGES_H_ */
